Subject: Re: Less fails with link error
From: Ronald Landheer-Cieslak <[email-masked]>
To: David Balazic <[email-masked]>
Cc: [email-masked]
Date: Wed, 6 Aug 2003 17:54:57 +0200

On Wed, Aug 06, 2003 at 05:20:55PM +0200, David Balazic wrote:
> If I try to run less from bash, I get a dialog saying :
> 
> less.exe - Entry Point Not Found
> 
> The procedure entry point __getreent could not be located in the dynamic
> link library cygwin1.dll.
<WAG>
Looks like a version mismatch between Cygwin and less.. did you install with
Setup and did you *not* use the experimental version of less with the current
version of Cygwin? 
</WAG>

hmm.. I vaguely remember seeing a cygcheck output here somewhere..

Yup - your cygcheck output says you're using bersion 381-1 of less - if that 
is right, you have a cygwin-version mismatch: less 381-1 is for cygwin 1.5.x
which is not compatible with cygwin-1.3.x. Re-fetch less with Setup and try
again.

> [OK]
> 
> 
> I would give you the "less" version number , but "rpm -q less" gives :
> 
> $ rpm -qa
> error: db4 error(13) from dbenv->open: Permission denied
> error: cannot open Packages index using db3 - Permission denied (13)
> error: cannot open Packages database in /var/lib/rpm
> no packages
Setup != rpm
Cygwin != Linux

You used Setup to install, didn't you?
Use cygcheck to get the version of less, then :)

HTH

rlc

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/